<template>
  <svg class="text" :class="className !== undefined ? className : ''">
    <use :xlink:href="`#${svgName}`"></use>
  </svg>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    svgName: {
      type: String,
      required: true,
    },
    className: String,
  },
  setup() {
    return {};
  },
});
</script>
<style>
.text {
  fill: var(--text);
}
.rotating {
  animation: spin-animation 1s linear infinite;
}
@keyframes spin-animation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(359deg);
  }
}
</style>
